Name:		osp-channel-service
Summary:	osp channel service
Version:	1.2.2.0
Release:	1
Group:		System/Libraries
License:    Apache License, Version 2.0
Source0:	%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(osp-appfw)
BuildRequires:	pkgconfig(bundle)
BuildRequires:	pkgconfig(dlog)
BuildRequires:	pkgconfig(chromium)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libssl)
BuildRequires:	pkgconfig(libsmack)
BuildRequires:	pkgconfig(message-port)
BuildRequires:	pkgconfig(openssl)
BuildRequires:  pkgconfig(capi-appfw-app-manager)
BuildRequires:  pkgconfig(capi-appfw-package-manager)
BuildRequires:  osp-appfw-internal-devel
BuildRequires:  hash-signer

# runtime requires
Requires: osp-appfw 
Requires: osp-installer
Requires: osp-app-service

Requires(post): coreutils

%description
osp channel service

%prep
%setup -q

%build 
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%ifarch %{ix86}
CXXFLAGS="$CXXFLAGS -D_OSP_DEBUG_ -D_SECURE_LOG -D_OSP_X86_ -D_OSP_EMUL_" cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix}
%else
CXXFLAGS="-O2 -g -pipe -Wall -fno-exceptions -Wformat -Wformat-security -Wl,--as-needed -fmessage-length=0 -march=armv7-a -mtune=cortex-a8 -mlittle-endian -mfpu=neon -mfloat-abi=softfp -D__SOFTFP__ -mthumb -Wa,-mimplicit-it=thumb -funwind-tables -D_OSP_DEBUG_ -D_SECURE_LOG -D_OSP_ARMEL_" cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix}
%endif

# Call make instruction with smp support
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/share/license
cp %{_builddir}/%{name}-%{version}/LICENSE.APLv2  %{buildroot}/usr/share/license/%{name}

%make_install
%define tizen_sign 1
%define tizen_sign_base /usr/apps/cp7ipabg4k
%define tizen_sign_level public
%define tizen_author_sign 1
%define tizen_dist_sign 1

%post
/bin/rm -fr /opt/apps/cp7ipabg4k
/usr/etc/package-manager/backend/tpk -i /usr/apps/cp7ipabg4k

#%postun -p /sbin/ldconfig

%files
%manifest osp-channel-service.manifest
/usr/share/license/%{name}
/usr/apps/*
